/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "fshed.h"
#include "AppendDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAppendDialog dialog


CAppendDialog::CAppendDialog(CWnd* pParent /*=NULL*/)
    : CDialog(CAppendDialog::IDD, pParent)
{
    //{{AFX_DATA_INIT(CAppendDialog)
    m_nNumBytes = 1;
    //}}AFX_DATA_INIT
}


void CAppendDialog::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CAppendDialog)
    DDX_Text(pDX, IDC_NUM_BYTES_ED, m_nNumBytes);
    DDV_MinMaxInt(pDX, m_nNumBytes, 1, 1000000);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAppendDialog, CDialog)
    //{{AFX_MSG_MAP(CAppendDialog)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAppendDialog message handlers
